// gnome.xonotic.in.ua

flareshader
{
	cull none
	{
		map gfx/misc/flare.tga
		blendfunc gl_one gl_one
		rgbgen vertex
	}
}

textures/base_floor/clangdark
{
	surfaceparm metalsteps
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_floor/clangdark.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/base_floor/clangdarkspot
{
	surfaceparm metalsteps
	{
		map textures/liquids/proto_grueldark.tga
		blendfunc gl_one gl_zero
		tcmod scale 2 2
		tcmod scroll .01 .03
		tcmod turb 0 0.05 0 .05
	}
	{
		map textures/effects/tinfx3.tga
		blendfunc gl_one gl_one
		tcgen environment
	}
	{
		map textures/base_floor/clangdarkspot.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
}

textures/base_floor/clanggrate
{
	surfaceparm metalsteps
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_floor/clanggrate.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/base_floor/clangspot
{
	surfaceparm metalsteps
	qer_editorimage textures/base_floor/clangdarkspot.tga
	{
		map textures/liquids/proto_grueldark.tga
		blendfunc gl_one gl_zero
		tcmod scale 2 2
		tcmod scroll .01 .03
		tcmod turb 0 0.05 0 .05
	}
	{
		map textures/effects/tinfx3.tga
		blendfunc gl_one gl_one
		tcgen environment
	}
	{
		map textures/base_floor/clangspot.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
}

textures/base_floor/pjgrate2
{
	surfaceparm metalsteps
	cull none
	{
		map textures/base_floor/pjgrate2.tga
		tcmod scale 2.0 2.0
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		depthfunc equal
		rgbgen identity
	}
}

textures/base_light/ceil1_38_10k
{
	qer_editorimage textures/base_light/ceil1_38.tga
	surfaceparm nomarks
	q3map_surfacelight 10000
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_light/ceil1_38.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/base_light/ceil1_38.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/base_light/ceil1_38_20k
{
	qer_editorimage textures/base_light/ceil1_38.tga
	surfaceparm nomarks
	q3map_surfacelight 20000
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_light/ceil1_38.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/base_light/ceil1_38.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/base_light/ceil1_38_30k
{
	qer_editorimage textures/base_light/ceil1_38.tga
	surfaceparm nomarks
	q3map_surfacelight 30000
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_light/ceil1_38.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/base_light/ceil1_38.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/base_support/support2rust
{
	qer_editorimage textures/base_support/support1rust.tga
	{
		rgbgen identity
		map $lightmap
	}
	{
		map textures/base_support/support1rust.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/base_support/x_support
{
	surfaceparm metalsteps
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nomarks
	cull none
	nopicmip
	{
		map textures/base_support/x_support.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/base_wall/protobanner
{
	cull disable
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nomarks
	tesssize 64
	deformvertexes wave 30 sin 0 3 0 .2
	deformvertexes wave 100 sin 0 3 0 .7
	{
		map textures/base_wall/protobanner.tga
		alphafunc ge128
		depthwrite
		rgbgen vertex
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
		depthfunc equal
	}
}

textures/base_wall/protobanner_ow
{
	cull disable
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nomarks
	deformvertexes wave 100 sin 0 1 0 .1
	deformvertexes wave 100 sin 0 1 0 .2
	{
		map textures/base_wall/protobanner_ow.tga
		alphafunc ge128
		depthwrite
		rgbgen vertex
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
		depthfunc equal
	}
}

textures/base_wall/protobanner_still
{
	qer_editorimage textures/base_wall/protobanner.tga
	cull disable
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nomarks
	tesssize 64
	{
		map textures/base_wall/protobanner.tga
		alphafunc ge128
		depthwrite
		rgbgen vertex
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
		depthfunc equal
	}
}

textures/common/caulk
{
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nomarks
}

textures/common/clip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
}

textures/common/clusterportal
{
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm clusterportal
}

textures/common/donotenter
{
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm donotenter
}

textures/common/hint
{
	qer_nocarve
	qer_trans 0.30
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm structural
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm hint
}

textures/common/nodraw
{
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
}

textures/common/skip
{
	qer_nocarve
	qer_trans 0.8
	qer_editorimage textures/meat_tags/tags_skip.tga
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm structural
	surfaceparm trans
}

textures/common/trigger
{
	qer_trans 0.50
	qer_nocarve
	surfaceparm nodraw
}

textures/gothic_block/blocks15_sandy
{
	qer_editorimage textures/gothic_block/blocks15.tga
	q3map_globaltexture
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/gothic_block/sand2.tga
		blendfunc gl_dst_color gl_src_color
		rgbgen identity
		detail
		tcmod scale 2.90 2.234
	}
	{
		map textures/gothic_block/blocks15.tga
		tcmod scale 0.25 0.25
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/gothic_block/blocks17_sandy
{
	qer_editorimage textures/gothic_block/blocks17.tga
	q3map_globaltexture
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/gothic_block/sand2.tga
		blendfunc gl_dst_color gl_src_color
		rgbgen identity
		detail
		tcmod scale 2.90 2.234
	}
	{
		map textures/gothic_block/blocks17.tga
		tcmod scale 0.25 0.25
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/gothic_trim/metlsupport4i_shiney
{
	qer_editorimage textures/gothic_trim/xmetalsupport4i_alpha.tga
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/gothic_trim/xmetalsupport4i_alpha.tga
		blendfunc gl_dst_color gl_src_alpha
		rgbgen identity
		alphagen lightingspecular
	}
}

textures/gothic_trim/zinc_shiny
{
	{
		map textures/effects/tinfx.tga
		tcgen environment
		rgbgen identity
	}
	{
		map textures/gothic_trim/zinc_shiny.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
}

textures/gothic_wall/xpipecolumn_gray_shiny
{
	{
		map textures/effects/tinfx.tga
		tcgen environment
		rgbgen identity
	}
	{
		map textures/gothic_wall/xpipecolumn_gray_shiny.tga
		blendfunc blend
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
}

textures/lundesert/ceil1_38_1k
{
	qer_editorimage textures/base_light/ceil1_38.tga
	surfaceparm nomarks
	q3map_surfacelight 1000
	light 1
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_light/ceil1_38.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/base_light/ceil1_38.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/lundesert/ceil1_38_2500
{
	qer_editorimage textures/base_light/ceil1_38.tga
	surfaceparm nomarks
	q3map_surfacelight 2500
	light 1
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_light/ceil1_38.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/base_light/ceil1_38.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/lundesert/ceil1_38_5k
{
	qer_editorimage textures/base_light/ceil1_38.tga
	surfaceparm nomarks
	q3map_surfacelight 5000
	light 1
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_light/ceil1_38.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/base_light/ceil1_38.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/lundesert/clanggrate2glow
{
	qer_editorimage textures/base_floor/clanggrate2.tga
	{
		map textures/base_floor/clanggrate2.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
	}
	{
		map textures/lundesert/cgrate2_lglow.tga
		blendfunc gl_one gl_one
		rgbgen wave sin 0.5 0.5 0 0.333
	}
}

textures/lundesert/dust1
{
	qer_editorimage textures/sfx/hellfog.tga
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm fog
	fogparms ( .85 .45 .075 ) 4800
}

textures/lundesert/grass1
{
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	cull disable
	{
		map textures/lundesert/grass1.tga
		rgbgen vertex
		alphafunc ge128
		blendfunc gl_one gl_zero
	}
}

textures/lundesert/lborder12
{
	qer_editorimage textures/base_trim/border12b.tga
	q3map_lightimage textures/base_trim/border12bfx.tga
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_trim/border12b.tga
		rgbgen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map textures/lundesert/lborder12fx.jpg
		blendfunc gl_one gl_one
	}
}

textures/lundesert/lclang_ow2
{
	qer_editorimage textures/lundesert/lclang_ow.tga
	surfaceparm metalsteps
	{
		map textures/lundesert/lclang_ow.tga
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
	}
}

textures/lundesert/lclang_ow_ns
{
	qer_editorimage textures/lundesert/lclang_ow.tga
	surfaceparm metalsteps
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm nonsolid
	{
		map textures/lundesert/lclang_ow.tga
		blendfunc gl_one gl_zero
		alphafunc gt0
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/lundesert/lconcrete_ow2
{
	qer_editorimage textures/lundesert/lconcrete_ow.tga
	{
		map textures/lundesert/lconcrete_ow.tga
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
	}
}

textures/lundesert/lconcrete_ow_ns
{
	qer_editorimage textures/lundesert/lconcrete_ow.tga
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm nonsolid
	{
		map textures/lundesert/lconcrete_ow.tga
		blendfunc gl_one gl_zero
		alphafunc gt0
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/lundesert/ld_eagle
{
	cull disable
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm nomarks
	deformvertexes move 1 0 0.5 sin 0 48 0 0.042
	{
		map textures/lundesert/ld_eagle.tga
		alphafunc ge128
		depthwrite
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
		depthfunc equal
	}
}

textures/lundesert/lightl_1500
{
	qer_editorimage textures/lundesert/llight5.tga
	q3map_lightimage textures/lundesert/llight5blend.tga
	surfaceparm nomarks
	q3map_surfacelight 1500
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/lundesert/llight5.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/lundesert/llight5blend.tga
		blendfunc gl_one gl_one
	}
}

textures/lundesert/lightl_1k
{
	qer_editorimage textures/lundesert/llight5.tga
	q3map_lightimage textures/lundesert/llight5blend.tga
	surfaceparm nomarks
	q3map_surfacelight 1000
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/lundesert/llight5.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/lundesert/llight5blend.tga
		blendfunc gl_one gl_one
	}
}

textures/lundesert/lightl_2k
{
	qer_editorimage textures/lundesert/llight5.tga
	q3map_lightimage textures/lundesert/llight5blend.tga
	surfaceparm nomarks
	q3map_surfacelight 2000
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/lundesert/llight5.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/lundesert/llight5blend.tga
		blendfunc gl_one gl_one
	}
}

textures/lundesert/lightl_2kflicker
{
	qer_editorimage textures/lundesert/llight5.tga
	q3map_lightimage textures/lundesert/llight5blend.tga
	surfaceparm nomarks
	q3map_surfacelight 1900
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/lundesert/llight5.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/lundesert/llight5blend.tga
		blendfunc gl_one gl_one
		rgbgen wave noise 6 8 0 4
	}
}

textures/lundesert/lightl_500
{
	qer_editorimage textures/lundesert/llight5.tga
	q3map_lightimage textures/lundesert/llight5blend.tga
	surfaceparm nomarks
	q3map_surfacelight 500
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/lundesert/llight5.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/lundesert/llight5blend.tga
		blendfunc gl_one gl_one
	}
}

textures/lundesert/lpjgrate
{
	qer_editorimage textures/base_floor/pjgrate2.tga
	surfaceparm metalsteps
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm trans
	surfaceparm playerclip
	surfaceparm nomipmap
	{
		map textures/base_floor/pjgrate2.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/lundesert/luncanvas1
{
	cull disable
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nomarks
	tesssize 64
	deformvertexes wave 30 sin 0 3 0 .2
	deformvertexes wave 100 sin 0 3 0 .7
	{
		map textures/lundesert/luncanvas1.tga
		alphafunc ge128
		depthwrite
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
		depthfunc equal
	}
}

textures/lundesert/lundessky1
{
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm sky
	q3map_sun 3 2.5 2 100 315 70
	q3map_surfacelight 30
	skyparms - 512 -
	{
		map textures/lundesert/lundessky1.tga
		tcmod scroll 0.035 .015
		depthwrite
	}
	{
		map textures/skies/dimclouds.tga
		blendfunc gl_one gl_one
		tcmod scroll 0.015 0.016
		tcmod scale 3 2
	}
}

textures/lundesert/lungrill1glow
{
	qer_editorimage textures/base_floor/proto_grill.tga
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_floor/proto_grill.tga
		blendfunc gl_dst_color gl_zero
		alphagen wave sin 0.5 0.5 0 0.333
		rgbgen identity
	}
	{
		map textures/lundesert/lun_grill1glow.tga
		blendfunc gl_one gl_one
		rgbgen wave sin 0.5 0.5 0 0.333
	}
}

textures/lundesert/lungrill1shiny
{
	qer_editorimage textures/base_floor/proto_grill.tga
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_floor/proto_grill.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/effects/tinfx.tga
		tcgen environment
		blendfunc gl_dst_color gl_one
	}
}

textures/lundesert/lunmetsupport4
{
	qer_editorimage textures/gothic_trim/metalsupport4j.tga
	{
		map textures/effects/tinfx.tga
		tcgen environment
	}
	{
		map textures/lundesert/lunmetsupport4.tga
		rgbgen identity
		blendfunc gl_src_alpha gl_one_minus_src_alpha
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/lundesert/scrub1
{
	cull disable
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm alphashadow
	{
		map textures/lundesert/scrub1.tga
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		depthfunc equal
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/lundesert/scrub3
{
	cull disable
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm alphashadow
	{
		map textures/lundesert/scrub3.tga
		alphafunc ge128
		depthwrite
	}
	{
		map $lightmap
		depthfunc equal
		blendfunc gl_dst_color gl_zero
	}
}

textures/sfx/beam_dusty2
{
	qer_editorimage textures/sfx/beam_1.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	{
		map textures/sfx/beam_1.tga
		blendfunc add
	}
}

textures/sfx/blackness
{
	surfaceparm nolightmap
	surfaceparm noimpact
	surfaceparm nomarks
	{
		map textures/sfx/blackness.tga
	}
}

textures/sfx/fan
{
	surfaceparm trans
	surfaceparm nomarks
	cull none
	nopicmip
	{
		clampmap textures/sfx/fan.tga
		tcmod rotate 256
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

